%define fw_version 5.24

Summary:	KDE Frameworks 5 module with various classes for text encoding
Name:		kcodecs
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 module with various classes for text encoding.

KCodecs provides a collection of methods to manipulate strings using various
encodings. It supports:

 * base64
 * quoted-printable
 * uu

#----------------------------------------------------------------------------

%package i18n
Summary:	KCodecs translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCodecs translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5codecs_major 5
%define libkf5codecs %mklibname kf5codecs %{kf5codecs_major}

%package -n %{libkf5codecs}
Summary:	KDE Frameworks 5 text encoding shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5codecs}
KDE Frameworks 5 text encoding shared library.

%files -n %{libkf5codecs}
%{_kde5_libdir}/libKF5Codecs.so.%{kf5codecs_major}*

#----------------------------------------------------------------------------

%define devkf5codecs %mklibname kf5codecs -d

%package -n %{devkf5codecs}
Summary:	Development files for KDE Frameworks 5 text encoding module
Group:		Development/KDE and Qt
Requires:	%{libkf5codecs} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5codecs-devel = %{version}

%description -n %{devkf5codecs}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5codecs}
%{_kde5_includedir}/KF5/KCodecs
%{_kde5_includedir}/KF5/kcodecs_version.h
%{_kde5_libdir}/cmake/KF5Codecs
%{_kde5_libdir}/libKF5Codecs.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (7d941b4) New version 5.24.0


